Bug 567853 - could not open serial device 'pty': No such file or directory
could not open serial device 'pty': No such file or directory
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-02-24 00:58 EST by Akira TAGOH
Modified: 2010-05-23 23:33 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-05-23 23:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2010-02-24 00:58:40 EST
Description of problem:
When starting VM, I got an error like:
Error starting domain: internal error unable to start guest: qemu: could not open serial device 'pty': No such file or directory

This error will be gone after stop using the fingerprint authentication and restart the desktop say.

Version-Release number of selected component (if applicable):
Comment 1 Cole Robinson 2010-05-21 13:23:39 EDT
Can you still reproduce? If so, please provide:

sudo virsh dumpxml $vmname
Output of 'mount'

What exactly do you mean fingerprint authentication? Are you removing a device from the guest XML and it fixes the issue?
Comment 2 Akira TAGOH 2010-05-23 23:33:02 EDT
No, it seems working now. I'm not sure if libvirt had any solutions for this but what the difference I can see is fprintd doesn't work on sudo anymore say.

And yes, removing a serial device from the guest was only workaround on this issue.

Again I have no idea why this happened. I'll close this so far but when I see this again, I'll reopen it. thanks.

Note You need to log in before you can comment on or make changes to this bug.